Bug 829317 - reading pin from file can make all TLS connections hang
reading pin from file can make all TLS connections hang
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 829319
  Show dependency treegraph
 
Reported: 2012-06-06 09:02 EDT by Jan Vcelak
Modified: 2013-03-03 20:30 EST (History)
4 users (show)

See Also:
Fixed In Version: openldap-2.4.31-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 829319 (view as bug list)
Environment:
Last Closed: 2012-07-17 13:21:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Vcelak 2012-06-06 09:02:52 EDT
Description of problem:

The buffer allocated for reading password (pin) file has to be initialized with
zeros, or we need to append zero at the end of the file. Otherwise we might read
initialized memory and consider it to be a password. In this situation, all
incoming TLS connections can hang.

Reported upstream:
http://www.openldap.org/its/index.cgi?findid=7291

Patch submitted upstream:
ftp://ftp.openldap.org/incoming/jvcelak-20120606-moznss-read-pin-from-file-infinite-loop.patch

Version-Release number of selected component (if applicable):
any


How reproducible:
Not always, depends on what malloc() gives us when allocating the buffer for the password.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jan Vcelak 2012-06-27 09:11:27 EDT
Resolved in openldap-2.4.31-3.fc17
Comment 2 Fedora Update System 2012-06-27 09:16:43 EDT
openldap-2.4.31-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openldap-2.4.31-3.fc17
Comment 3 Fedora Update System 2012-06-27 12:06:19 EDT
openldap-2.4.26-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openldap-2.4.26-8.fc16
Comment 4 Fedora Update System 2012-06-27 23:32:37 EDT
Package openldap-2.4.31-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.31-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10000/openldap-2.4.31-3.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-17 13:21:27 EDT
openldap-2.4.31-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-07-17 13:26:33 EDT
openldap-2.4.26-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.